<?php
/**
 * Dynamically generated styles
 *
 * @package Suffusion
 * @subpackage Templates
 */

global $suffusion_unified_options, $theme_name;
foreach ($suffusion_unified_options as $id => $value) {
	$$id = $value;
}
function suf_get_bg_information($option) {
	global $$option;
	$option_val = $$option;
	if (!is_array($option_val)) {
		$val_array = array();
		$vals = explode(';', $option_val);
		foreach ($vals as $val) {
			$pair = explode('=', $val);
			$val_array[$pair[0]] = $pair[1];
		}
		$option_val = $val_array;
	}
	$bg_string = "";
	if ($option_val['colortype'] == 'transparent') {
		$bg_string .= " transparent ";
	}
	else {
		if (isset($option_val['color'])) {
			if (substr($option_val['color'], 0, 1) == '#') {
				$bg_string .= " ".$option_val['color'];
			}
			else {
				$bg_string .= " #".$option_val['color'];
			}
		}
	}
	if (trim($option_val['image']) != '') {
		$bg_string .= " url(".$option_val['image'].") ";
		$bg_string .= $option_val['position']." ".$option_val['repeat'];
	}

	if (trim($bg_string) != '') {
		$bg_string = "background: ".$bg_string.";\n";
	}
	return $bg_string;
}

function suf_get_font_information($option) {
	global $$option;
	$option_val = $$option;
	if (!is_array($option_val)) {
		$option_val = stripslashes($option_val);
		$val_array = array();
		$vals = explode(';', $option_val);
		foreach ($vals as $val) {
			$pair = explode('=', $val);
			$val_array[$pair[0]] = $pair[1];
		}
		$option_val = $val_array;
	}
	//$font_string = "";
	$font_string = "";
	foreach ($option_val as $name => $value) {
		if ($name != "font-face" && $name != "font-size" && $name != "font-size-type" && $name != '' && $name != 'color') {
			$font_string .= $name.":".$value.";";
		}
		else if ($name == "font-size") {
			$font_string .= $name.":".$value.$option_val['font-size-type'].";";
		}
		else if ($name == "font-face") {
			$font_string .= "font-family:".$value.";";
		}
		else if ($name == 'color') {
			if (substr($value, 0, 1) != '#') {
				$value = '#'.$value;
			}
			$font_string .= "color:".$value.";";
		}
	}

	if (trim($font_string) != '') {
		$font_string = $font_string."\n";
	}
	return $font_string;
}

function suf_get_transparency_information($option) {
	global $$option;
	$option_val = $$option;
	if (!is_array($option_val)) {
		$val_array = array();
		$vals = explode(';', $option_val);
		foreach ($vals as $val) {
			$pair = explode('=', $val);
			$val_array[$pair[0]] = $pair[1];
		}
		$option_val = $val_array;
	}
	$bg_string = "";
	if (isset($option_val['trans'])) {
		$transparency = (int)$option_val['trans'];
		if ($transparency == 0) {
			return "";
		}
		$trans_dec = $transparency/100;
		$bg_string .= "filter: alpha(opacity=$transparency);\n";
		$bg_string .= "-moz-opacity: $trans_dec;\n";
		$bg_string .= "-khtml-opacity: $trans_dec;\n";
		$bg_string .= "opacity: $trans_dec;\n";
	}
	return $bg_string;
}

if ($suf_body_style_setting == 'custom') {
?>

body {
	background-color: #<?php echo $suf_body_background_color;?>;
<?php
	if ($suf_body_background_image != "") {
		$body_bg_url = " url($suf_body_background_image) ";
?>
	background-image: <?php echo $body_bg_url;?>;
	background-repeat: <?php echo $suf_body_background_repeat;?>;
	background-attachment: <?php echo $suf_body_background_attachment;?>;
	background-position: <?php echo $suf_body_background_position;?>;
<?php
	}
?>
}
<?php
}
if ($suf_wrapper_settings_def_cust == 'custom') {
?>
#wrapper {
	<?php echo suf_get_bg_information('suf_wrapper_bg_settings'); ?>
	<?php echo suf_get_transparency_information('suf_wrapper_bg_settings'); ?>
<?php
	if ($suf_show_shadows == "show") {
?>
	/* Shadows - CSS3 for browsers that support it */
	box-shadow: 10px 10px 5px #888;
	-moz-box-shadow: 10px 10px 5px #888;
	-khtml-box-shadow: 10px 10px 5px #888;
	-webkit-box-shadow: 10px 10px 5px #888;
<?php
	}
?>
}

<?php
}
if ($suf_post_bg_settings_def_cust == 'custom') {
?>
.post, div.page {
	<?php echo suf_get_bg_information('suf_post_bg_settings'); ?>
	<?php echo suf_get_transparency_information('suf_post_bg_settings'); ?>
}

<?php
}
if ($suf_body_font_style_setting == 'custom') {
?>
body {
	color: #<?php echo $suf_font_color;?>;
	font-family: <?php echo stripslashes($suf_body_font_family);?>;
}

a {
	color: #<?php echo $suf_link_color;?>;
	text-decoration: <?php echo $suf_link_style;?>;
}

a:visited {
	color: #<?php echo $suf_visited_link_color;?>;
	text-decoration: <?php echo $suf_visited_link_style;?>;
}

a:hover {
	color: #<?php echo $suf_link_hover_color;?>;
	text-decoration: <?php echo $suf_link_hover_style;?>;
}

<?php
}

function suf_strip_color_hash($color) {
	if (substr($color, 0, 1) == '#') {
		$temp_color = substr($color, 1, strlen($color) - 1);
	}
	else {
		$temp_color = $color;
	}
	return $temp_color;
}

function suf_get_widths($cust_wrapper_width, $sidebar_count) {
	global $suf_sidebar_alignment, $suf_sidebar_2_alignment, $suf_mag_sidebars_enabled, $suf_mag_headline_image_container_width;
	$widths = array();
	if ($cust_wrapper_width < 600) {
		$wrapper_width = 600;
	}
	else {
		$wrapper_width = $cust_wrapper_width;
	}
	$widths['wrapper'] = $wrapper_width;
	if ($sidebar_count == 0) {
		$widths['main-col'] = floor($wrapper_width);
		$widths['sidebar-1'] = 0;
		$widths['sidebar-2'] = 0;
		$widths['sidebar-container'] = 0;
		$widths['tabbed'] = 0;
	}
	else if ($sidebar_count == 1) {
		$widths['main-col'] = floor(0.725 * $wrapper_width);
		$widths['sidebar-1'] = $wrapper_width - $widths['main-col'] - 15;
		$widths['sidebar-2'] = $wrapper_width - $widths['main-col'] - 15;
		$widths['sidebar-container'] = $widths['sidebar-1'] + 15;
		$widths['tabbed'] = $widths['sidebar-1'];
	}
	else if ($sidebar_count == 2) {
		$widths['main-col'] = floor(0.63 * $wrapper_width);
		$widths['sidebar-1'] = floor(0.5 * ($wrapper_width - $widths['main-col'] - 30));
		$widths['sidebar-2'] = floor(0.5 * ($wrapper_width - $widths['main-col'] - 30));
		if (($suf_sidebar_alignment == $suf_sidebar_2_alignment) && !is_page_template('1l1r-sidebar.php')) {
			$widths['sidebar-container'] = 2 * $widths['sidebar-1'] + 30;
			$widths['tabbed'] = $widths['sidebar-container'] - 17; // -17 because 2px are added by borders of widgets
		}
		else {
			$widths['sidebar-container'] = $widths['sidebar-1'] + 15;
			$widths['tabbed'] = $widths['sidebar-container'] - 15;
		}
		$widths['wsidebar'] = $widths['tabbed'];
	}

	$widths['title'] = $widths['main-col'] - 90;
	$widths['category'] = $widths['main-col'] - 275;
	$widths['tags'] = $widths['main-col'] - 275;
	$widths['calendar-side-padding'] = 4;

	$widths['mag-headlines'] = $widths['main-col'] - 2;
	$mag_hl_photos = get_size_from_field($suf_mag_headline_image_container_width, "250px");
	$widths['mag-headline-photos'] = (int)(substr($mag_hl_photos, 0, strlen($mag_hl_photos) - 2));
	$widths['mag-headline-block'] = $widths['mag-headlines'] - $widths['mag-headline-photos'] - 34;
	return $widths;
}

function suf_get_widths_from_components($component_widths, $sidebar_count) {
	global $suf_sidebar_alignment, $suf_sidebar_2_alignment, $suf_sbtab_alignment, $suf_mag_sidebars_enabled, $suf_mag_headline_image_container_width;
	$widths = array();
	$main_col_width = $component_widths['main-col'] < 380 ? 380 : $component_widths['main-col'];
	$sb_1_width = $component_widths['sidebar-1'] < 95 ? 95 : $component_widths['sidebar-1'];
	$sb_2_width = $component_widths['sidebar-2'] < 95 ? 95 : $component_widths['sidebar-2'];

	if ($sidebar_count == 0) {
		$widths['main-col'] = $main_col_width;
		$widths['sidebar-1'] = 0;
		$widths['sidebar-2'] = 0;
		$widths['sidebar-container'] = 0;
		$widths['tabbed'] = 0;
		$widths['wrapper'] = $main_col_width;
	}
	else if ($sidebar_count == 1) {
		$widths['main-col'] = $main_col_width;
		$widths['sidebar-1'] = $sb_1_width;
		$widths['sidebar-2'] = 0;
		$widths['sidebar-container'] = $sb_1_width + 15;
		$widths['tabbed'] = $sb_1_width;
		$widths['wrapper'] = $main_col_width + $sb_1_width + 15;
	}
	else if ($sidebar_count == 2) {
		$widths['main-col'] = $main_col_width;
		$widths['sidebar-1'] = $sb_1_width;
		$widths['sidebar-2'] = $sb_2_width;

		if (($suf_sidebar_alignment == $suf_sidebar_2_alignment) && !is_page_template('1l1r-sidebar.php')) {
			$widths['sidebar-container'] = $widths['sidebar-1'] + $widths['sidebar-2'] + 30;
			$widths['tabbed'] = $widths['sidebar-container'] - 17; // -17 because 2px are added by borders of widgets
		}
		else {
			if ($suf_sbtab_alignment == $suf_sidebar_alignment) {
				$widths['sidebar-container'] = $widths['sidebar-1'] + 15;
			}
			else if ($suf_sbtab_alignment == $suf_sidebar_2_alignment) {
				$widths['sidebar-container'] = $widths['sidebar-2'] + 15;
			}
			$widths['tabbed'] = $widths['sidebar-container'] - 15;
		}
		$widths['wrapper'] = $main_col_width + $sb_1_width + $sb_2_width + 30;
	}

	$widths['wsidebar'] = $widths['sidebar-1'] + $widths['sidebar-2'] + 13;
	$widths['title'] = $widths['main-col'] - 90;
	$widths['category'] = $widths['main-col'] - 275;
	$widths['tags'] = $widths['main-col'] - 275;
	$widths['calendar-side-padding'] = 4;

	$widths['mag-headlines'] = $widths['main-col'] - 2;
	$mag_hl_photos = get_size_from_field($suf_mag_headline_image_container_width, "250px");
	$widths['mag-headline-photos'] = (int)(substr($mag_hl_photos, 0, strlen($mag_hl_photos) - 2));
	$widths['mag-headline-block'] = $widths['mag-headlines'] - $widths['mag-headline-photos'] - 34;

	return $widths;
}

if ($suf_size_options == "custom") {
	if (isset($suf_wrapper_margin)) {
		$wrapper_margin = "50px";
		$wrapper_margin = get_size_from_field($suf_wrapper_margin, "50px");
?>
#wrapper {
	margin: <?php echo $wrapper_margin;?> auto;
}
<?php
	}
	$prefix = false;
	$template_prefixes = array('1l-sidebar.php' => '_1l', '1r-sidebar.php' => '_1r', '1l1r-sidebar.php' => '_1l1r', '2l-sidebars.php' => '_2l', '2r-sidebars.php' => '_2r');
	$template_sb = array('1l-sidebar.php' => 1, '1r-sidebar.php' => 1, '1l1r-sidebar.php' => 2, '2l-sidebars.php' => 2, '2r-sidebars.php' => 2);
	foreach ($template_prefixes as $template => $pref) {
		if (is_page_template($template)) {
			$prefix = $pref;
			$sb_count = $template_sb[$template];
			break;
		}
	}

	$wrapper_width_preset_var = 'suf'.$prefix.'_wrapper_width_preset';
	$wrapper_width_var = 'suf'.$prefix.'_wrapper_width';
	$main_col_width_var = 'suf'.$prefix.'_main_col_width';
	$sb_1_width_var = 'suf'.$prefix.'_sb_1_width';
	$sb_2_width_var = 'suf'.$prefix.'_sb_2_width';

	$wrapper_width_preset = $$wrapper_width_preset_var;
	$wrapper_width = $$wrapper_width_var;
	$main_col_width = $$main_col_width_var;
	if (isset($$sb_1_width_var)) $sb_1_width = $$sb_1_width_var;
	if (isset($$sb_2_width_var)) $sb_2_width = $$sb_2_width_var;
	if ($prefix) {
		$sidebar_count = $sb_count;
	}
	else {
		$sidebar_count = $suf_sidebar_count;
	}

	if (($wrapper_width_preset != "custom") && ($wrapper_width_preset != "custom-components")) {
		$widths = suf_get_widths($wrapper_width_preset, $sidebar_count);
	}
	else if ($wrapper_width_preset == "custom") {
		$wrapper_width = get_size_from_field($wrapper_width, "1000px");
		$widths = suf_get_widths((int)(substr($wrapper_width, 0, strlen($wrapper_width) - 2)), $sidebar_count);
	}
	else {
		$main_col_width = get_size_from_field($main_col_width, "725px");
		$sb_1_width = isset($sb_1_width) ? get_size_from_field($sb_1_width, "260px") : "260px";
		$sb_2_width = isset($sb_2_width) ? get_size_from_field($sb_2_width, "260px") : "260px";
		$component_widths = array('main-col' => (int)(substr($main_col_width, 0, strlen($main_col_width) - 2)),
			'sidebar-1' => (int)(substr($sb_1_width, 0, strlen($sb_1_width) - 2)),
			'sidebar-2' => (int)(substr($sb_2_width, 0, strlen($sb_2_width) - 2)));
		$widths = suf_get_widths_from_components($component_widths, $sidebar_count);
	}

	if (isset($suf_header_height)) {
		$header_height = get_size_from_field($suf_header_height, "55px");
?>
#header {
	height: <?php echo $header_height;?>;
}
<?php
	}
}
else {
	// We still need to get the array of widths for the sidebars.
	$widths = suf_get_widths(1000, $suf_sidebar_count);
}

// Now we will print the generated widths
?>
#wrapper {
	width: <?php echo $widths['wrapper'];?>px;
}

#wrapper #container #single-col {
	width: <?php echo $widths['wrapper'];?>px;
}

#wrapper #container #main-col {
	width: <?php echo $widths['main-col'];?>px;
}

* html #wrapper #container #main-col {
	w\idth: <?php echo ($widths['main-col'] - 15);?>px;
}

* html .post {
<?php
if (!is_page_template('no-sidebars.php')) {
?>
	w\idth: <?php echo ($widths['main-col'] - 48);?>px;
<?php
}
else {
?>
	w\idth: <?php echo ($widths['wrapper'] - 48);?>px;
<?php
}
?>
}

.entry img {
<?php
if (!is_page_template('no-sidebars.php')) {
?>
	max-width: <?php echo ($widths['main-col'] - 40);?>px;
	width: expression(this.width > <?php echo ($widths['main-col'] - 80);?> ? <?php echo ($widths['main-col'] - 80);?> + 'px' : true);
<?php
}
else {
?>
	max-width: <?php echo ($widths['wrapper'] - 40);?>px;
	width: expression(this.width > <?php echo ($widths['wrapper'] - 80);?> ? <?php echo ($widths['wrapper'] - 80);?> + 'px' : true);
<?php
}
?>
}
.wp-caption {
<?php
if (!is_page_template('no-sidebars.php')) {
?>
	max-width: <?php echo ($widths['main-col'] - 32);?>px;
	width: expression(this.width > <?php echo ($widths['main-col'] - 72);?> ? <?php echo ($widths['main-col'] - 72);?> + 'px' : true);
<?php
}
else {
?>
	max-width: <?php echo ($widths['wrapper'] - 32);?>px;
	width: expression(this.width > <?php echo ($widths['wrapper'] - 72);?> ? <?php echo ($widths['wrapper'] - 72);?> + 'px' : true);
<?php
}
?>
}

<?php
if ($suf_date_box_show == 'hide' || ($suf_date_box_show == 'hide-search' && is_search())) {
?>
.post .date {
	display: none;
}

.title-container {
	padding-left: 0;
	padding-right: 0;
}

.post .title {
	padding-left: 0;
}
<?php
}
/*else if ($suf_date_box_style == 'line') {
?>
.post .title {
	padding-left: 0px;
}

.post .date {
	font-size: 10px;
	width: auto;
	height: auto;
	background-image: none;
	color: #aaaaaa;
	margin-left: 0;
	right: 0px;
	text-align: left;
	float: left;
	line-height: normal;
	display: inline-block;
}

.post .date span {
	display: inline-block;
	color: #aaaaaa;
	text-align: left;
	padding-top: 0px;
	height: auto;
}
.post .date span.year {
	display: inline-block;
	color: #aaaaaa;
	text-align: left;
	height: auto;
	padding-left: 3px;
}

.title-container {
	padding-left: 0px;
}

.post .date span.year, .post .date span.month, .post .date span.day {
	font-size: 10px;
	display: inline;
	color: #aaaaaa;
}
<?php
}*/
else if ($suf_date_box_settings_def_cust == 'custom') {
?>
.post .date {
	<?php echo suf_get_bg_information('suf_date_box_settings'); ?>
	<?php echo suf_get_transparency_information('suf_date_box_settings'); ?>
}

.post .date span.day {
	<?php echo suf_get_font_information('suf_date_box_dfont'); ?>
}

.post .date span.month {
	<?php echo suf_get_font_information('suf_date_box_mfont'); ?>
}

.post .date span.year {
	<?php echo suf_get_font_information('suf_date_box_yfont'); ?>
}
<?php
}
?>

.post-footer .category,
.postdata .category{
	max-width: <?php echo $widths['category'];?>px;
	width: expression(this.width > <?php echo $widths['category'];?> ? <?php echo $widths['category'];?> + 'px' : true);
<?php
	if ($suf_post_show_cats == 'show-tright' || $suf_post_show_cats == 'show-bright' ) {
?>
	float: right;
<?php
	}
?>
}

.post-footer .comments,
.postdata .comments {
<?php
	if (!is_page()) {
		if ($suf_post_show_comment == 'show-tleft' || $suf_post_show_comment == 'show-bleft') {
?>
		float: left;
<?php
		}
		else {
?>
		float: right;
<?php
		}
	}
	else {
		if ($suf_page_show_comment == 'show-tleft' || $suf_page_show_comment == 'show-bleft') {
?>
		float: left;
<?php
		}
		else {
?>
		float: right;
<?php
		}
	}
?>
}

.tags {
	max-width: <?php echo $widths['tags'];?>px;
	width: expression(this.width > <?php echo $widths['tags'];?> ? <?php echo $widths['tags'];?> + 'px' : true);
<?php
	if ($suf_post_show_tags == 'show-tleft' || $suf_post_show_tags == 'show-bleft') {
?>
	float: left;
	text-align: left;
<?php
	}
	else {
?>
	float: right;
<?php
	}
?>
}

span.author {
<?php
if (!is_page()) {
	if ($suf_post_show_posted_by == 'show-tright' || $suf_post_show_posted_by == 'show-bright') {
?>
	float: right;
	padding-left: 10px;
<?php
	}
	else {
?>
	float: left;
	padding-right: 10px;
<?php
	}
}
else {
	if ($suf_page_show_posted_by == 'show-tright' || $suf_page_show_posted_by == 'show-bright') {
?>
	float: right;
	padding-left: 10px;
<?php
	}
	else {
?>
	float: left;
	padding-right: 10px;
<?php
	}
}
?>
}

#sidebar, #sidebar-b, #sidebar-shell-1 {
	width: <?php echo $widths['sidebar-1'];?>px;
}

#sidebar-2, #sidebar-2-b, #sidebar-shell-2 {
	width: <?php echo $widths['sidebar-2'];?>px;
}

#sidebar.flattened, #sidebar-b.flattened {
	width: <?php echo $widths['sidebar-1'] - 2;?>px;
}

#sidebar-2.flattened, #sidebar-2-b.flattened {
	width: <?php echo $widths['sidebar-2'] - 2;?>px;
}

#sidebar-container {
	width: <?php echo $widths['sidebar-container'];?>px;
}

#wsidebar-top, #wsidebar-bottom {
	width: <?php echo $widths['wsidebar'];?>px;
}

#sidebar-wrap {
	width: <?php echo $widths['wsidebar'] + 17;?>px;
}

* html #sidebar, * html #sidebar-b, * html #sidebar-shell-1 {
	w\idth: <?php echo ($widths['sidebar-1'] - 8);?>px;
}

* html #sidebar-2, * html #sidebar-2-b, * html #sidebar-shell-2 {
	w\idth: <?php echo ($widths['sidebar-2'] - 8);?>px;
}

* html #sidebar-container {
	w\idth: <?php echo ($widths['sidebar-container'] - 10);?>px;
}

.tab-box {
	width: <?php echo $widths['tabbed'];?>px;
}

#commentform textarea {
	width: <?php echo ($widths['main-col'] - 50);?>px;
	width: 90%;
}

#calendar td, .widget_calendar td {
	padding:0 <?php echo $widths['calendar-side-padding'];?>px;
}

.suf-mag-headlines {
	width: <?php echo $widths['mag-headlines'];?>px;
}

* html .suf-mag-headlines {
	w\idth: <?php echo ($widths['mag-headlines'] - 15);?>px;
}

* html table.suf-mag-excerpts,
* html table.suf-mag-categories {
	w\idth: <?php echo ($widths['mag-headlines'] - 25);?>px;
}

* html table.suf-tiles {
	w\idth: <?php echo ($widths['main-col'] - 25);?>px;
}

.suf-mag-headline-photo-box {
	width: <?php echo $widths['mag-headline-photos']; ?>px;
}

.suf-mag-headline-block {
	width: <?php echo $widths['mag-headline-block']; ?>px;
}

* html .suf-mag-headline-block {
	w\idth: <?php echo ($widths['mag-headline-block'] - 20); ?>px;
}

<?php
if ($suf_header_style_setting == "custom") {
	if (($suf_header_image_type == "image" && isset($suf_header_background_image) && trim($suf_header_background_image) != '') ||
			($suf_header_image_type == "rot-image" && isset($suf_header_background_rot_folder) && trim($suf_header_background_rot_folder) != '')) {
		if ($suf_header_image_type == "image") {
			$header_bg_url = " url($suf_header_background_image) ";
		}
		else {
			$header_bg_url = " url(".suffusion_get_rotating_image($suf_header_background_rot_folder).") ";
		}
?>
#header-container {
	background-image: <?php echo $header_bg_url;?>;
	background-repeat: <?php echo $suf_header_background_repeat;?>;
	background-position: <?php echo $suf_header_background_position;?>;
	height: <?php echo $suf_header_section_height;?>;
}
<?php
	}
	else if ($suf_header_image_type == "gradient") {
        if ($suf_size_options == "custom" && isset($suf_header_height)) {
            $header_bg_url = " url(".get_template_directory_uri()."/gradient.php?start=$suf_header_gradient_start_color&finish=$suf_header_gradient_end_color&direction=$suf_header_gradient_style&height=$suf_header_height)";
        }
        else {
            $header_bg_url = " url(".get_template_directory_uri()."/gradient.php?start=$suf_header_gradient_start_color&finish=$suf_header_gradient_end_color&direction=$suf_header_gradient_style&height=121)";
        }
		if ($suf_header_gradient_style == "top-down" || $suf_header_gradient_style == "down-top") {
			$header_bg_repeat = "repeat-x";
		}
		else if ($suf_header_gradient_style == "left-right" || $suf_header_gradient_style == "right-left") {
			$header_bg_repeat = "repeat-y";
		}
		if ($suf_header_gradient_style == "top-down" || $suf_header_gradient_style == "left-right") {
			$header_bg_color = $suf_header_gradient_end_color;
		}
		else if ($suf_header_gradient_style == "down-top" || $suf_header_gradient_style == "right-left") {
			$header_bg_color = $suf_header_gradient_start_color;
		}
?>
#header-container {
	background-image: <?php echo $header_bg_url;?>;
	background-repeat: <?php echo $header_bg_repeat;?>;
	background-color: #<?php echo $header_bg_color; ?>;
}
<?php
	}
?>
div.blogtitle a {
	color: #<?php echo $suf_blog_title_color;?>;
	text-decoration: <?php echo $suf_blog_title_style;?>;
}

.blogtitle a:hover {
	color: #<?php echo $suf_blog_title_hover_color;?>;
	text-decoration: <?php echo $suf_blog_title_hover_style;?>;
}

.description {
	color: #<?php echo $suf_blog_description_color;?>;
}

<?php
	if ($suf_sub_header_vertical_alignment == "above" || $suf_sub_header_vertical_alignment == "below") {
?>
.description {
	display: block;
	width: 100%;
	margin-top: 0px;
	margin-left: 0px;
	margin-right: 0px;
}

.blogtitle {
	width: 100%;
}
<?php
	}
?>

.blogtitle {
<?php
	if ($suf_header_alignment == "right") {
?>
	float: right;
	text-align: right;
<?php
	}
	else if ($suf_header_alignment == "left") {
?>
	float: left;
	text-align: left;
<?php
	}
	else if ($suf_header_alignment == "center") {
?>
	float: none;
	margin-left: auto;
	margin-right: auto;
<?php
	}
	else if ($suf_header_alignment == "hidden") {
?>
	display: none;
	visibility: hidden;
<?php
	}
?>
}

#header {
<?php
	if ($suf_header_alignment == "center") {
?>
	text-align: center;
<?php
	}
?>
}

.description {
<?php
	if ($suf_sub_header_alignment == "right") {
?>
	float: right;
	text-align: right;
<?php
	}
	else if ($suf_sub_header_alignment == "left") {
?>
	float: left;
	text-align: left;
<?php
	}
	else if ($suf_sub_header_alignment == "center") {
?>
	float: none;
	margin-left: auto;
	margin-right: auto;
	margin-top: 0px;
<?php
	}
	else if ($suf_sub_header_alignment == "hidden") {
?>
	display: none;
	visibility: hidden;
<?php
	}
?>
}

<?php
}

// If there are header widgets then the width of the header needs to be balanced
if (!suffusion_is_sidebar_empty(12)) {
	$wih_width = get_size_from_field($suf_wih_width, "300px");
	if ($suf_header_alignment != 'right') {
?>
#header {
	float: left;
	width: auto;
}
.blogtitle, .description {
	float: none;
}
#header-widgets {
	float: right;
	width: <?php echo $wih_width; ?>;
}
<?php
	}
	else {
?>
#header {
	float: right;
	width: auto;
}
.blogtitle, .description {
	float: none;
}
#header-widgets {
	float: left;
	width: <?php echo $wih_width; ?>;
}
<?php
	}
}

?>
#nav ul {
	text-transform: <?php echo $suf_nav_text_transform; ?>;
}
#nav-top ul {
	text-transform: <?php echo $suf_navt_text_transform; ?>;
	float: <?php echo $suf_navt_dd_pos; ?>;
}
<?php

if ($suf_sidebar_header == "plain-borderless") {
?>
#sidebar .dbx-handle,
#sidebar-2 .dbx-handle {
	border-bottom: none;
}

<?php
}

if ($suf_sb_font_style_setting == "custom") {
?>
#sidebar,
#sidebar-2,
#sidebar-container {
	color:  #<?php echo $suf_sb_font_color;?>;
}

#sidebar a,
#sidebar-2 a,
#sidebar-container a {
	color:  #<?php echo $suf_sb_link_color;?>;
	text-decoration: <?php echo $suf_sb_link_style;?>;
}


#sidebar a:visited,
#sidebar-2 a:visited,
#sidebar-container a:visited {
	color:  #<?php echo $suf_sb_visited_link_color;?>;
	text-decoration: <?php echo $suf_sb_visited_link_style;?>;
}

#sidebar a:hover,
#sidebar-2 a:hover,
#sidebar-container a:hover {
	color:  #<?php echo $suf_sb_link_hover_color;?>;
	text-decoration: <?php echo $suf_sb_link_hover_style;?>;
}

<?php
}

function get_column_width($num_columns) {
	$col_width = "100%";
	switch ($num_columns) {
	case 1:
		$col_width = "100%";
		break;
	case 2:
		$col_width = "49%";
		break;
	case 3:
		$col_width = "32%";
		break;
	case 4:
		$col_width = "24%";
		break;
	case 5:
		$col_width = "19%";
		break;
	default:
		$col_width = "100%";
		break;
	}
	return $col_width;
}

function get_margin($num_columns) {
	$margin = "5px";
	switch ($num_columns) {
	case 1:
		$margin = "5px 0px 5px 0px";
		break;
	case 2:
		$margin = "5px 4px 5px 4px";
		break;
	case 3:
		$margin = "5px 5px 5px 5px";
		break;
	case 4:
		$margin = "5px 4px 5px 4px";
		break;
	case 5:
		$margin = "5px 4px 5px 4px";
		break;
	default:
		$margin = "5px 5px 5px 5px";
		break;
	}
	return $margin;
}

function get_ie6_margin($num_columns) {
	$margin = "5px";
	switch ($num_columns) {
	case 1:
		$margin = "5px 0px 5px 0px";
		break;
	case 2:
		$margin = "5px 3px 5px 3px";
		break;
	case 3:
		$margin = "5px 5px 5px 4px";
		break;
	case 4:
		$margin = "5px 3px 5px 3px";
		break;
	case 5:
		$margin = "5px 2px 5px 2px";
		break;
	default:
		$margin = "5px 0px 5px 0px";
		break;
	}
	return $margin;
}

if ($suf_wa_tbrh_style != 'tiny') {
	$tbrh_columns = intval($suf_wa_tbrh_columns);
	$tbrh_width = get_column_width($tbrh_columns);
	$tbrh_margin = get_margin($tbrh_columns);
	$tbrh_ie_margin = get_ie6_margin($tbrh_columns);
?>
#top-bar-right-spanel .suf-panel-widget,
#top-bar-right-spanel .suf-flat-widget,
#top-bar-right-spanel .suf-widget {
	width: <?php echo $tbrh_width;?>;
	display: inline-block;
	margin: <?php echo $tbrh_margin;?>;
}

* html #top-bar-right-spanel .suf-panel-widget,
#top-bar-right-spanel .suf-flat-widget,
#top-bar-right-spanel .suf-widget {
	ma\rgin: <?php echo $tbrh_ie_margin;?>;
}

#top-bar-right-spanel {
	background-color: #<?php echo suf_strip_color_hash($suf_wa_tbrh_panel_color);?>;
	border-color: #<?php echo suf_strip_color_hash($suf_wa_tbrh_panel_border_color);?>;
	color: #<?php echo suf_strip_color_hash($suf_wa_tbrh_panel_font_color);?>;
}

<?php
}

if (substr($suf_wa_tbrh_panel_color, 0, 1) == '#') {
	$spanel_bg_color = substr($suf_wa_tbrh_panel_color, 1, strlen($suf_wa_tbrh_panel_color) - 1);
}
else {
	$spanel_bg_color = $suf_wa_tbrh_panel_color;
}


if ($suf_widget_area_below_header_enabled == "enabled") {
	$bw1_columns = intval($suf_widget_area_below_header_columns);
	$bw1_width = get_column_width($bw1_columns);
	$bw1_margin = get_margin($bw1_columns);
	$bw1_ie_margin = get_ie6_margin($bw1_columns);

    if (!($suf_wa_wabh_style == 'flattened' && $bw1_columns == 1)) {
?>
#horizontal-outer-widgets-1 .suf-horizontal-widget {
	width: <?php echo $bw1_width;?>;
	display: inline-block;
	margin: <?php echo $bw1_margin;?>;
}

* html #horizontal-outer-widgets-1 .suf-horizontal-widget {
	ma\rgin: <?php echo $bw1_ie_margin;?>;
}
<?php
    }
    else {
?>
#horizontal-outer-widgets-1 .suf-horizontal-widget {
    display: block;
    float: none;
}
<?php
    }
    if ($suf_header_for_widgets_below_header == "plain-borderless") {
?>

#horizontal-outer-widgets-1 .dbx-handle {
	border-bottom: none;
}

<?php
	}
	if ($suf_wabh_font_style_setting == "custom") {
?>
#horizontal-outer-widgets-1 {
	color:  #<?php echo $suf_wabh_font_color;?>;
}

#horizontal-outer-widgets-1 a {
	color:  #<?php echo $suf_wabh_link_color;?>;
	text-decoration: <?php echo $suf_wabh_link_style;?>;
}

#horizontal-outer-widgets-1 a:visited {
	color:  #<?php echo $suf_wabh_visited_link_color;?>;
	text-decoration: <?php echo $suf_wabh_visited_link_style;?>;
}

#horizontal-outer-widgets-1 a:hover {
	color:  #<?php echo $suf_wabh_link_hover_color;?>;
	text-decoration: <?php echo $suf_wabh_link_hover_style;?>;
}
<?php
	}
}

if ($suf_widget_area_above_footer_enabled == "enabled") {
	$bw2_columns = intval($suf_widget_area_above_footer_columns);
	$bw2_width = get_column_width($bw2_columns);
	$bw2_margin = get_margin($bw2_columns);
	$bw2_ie_margin = get_ie6_margin($bw2_columns);

    if (!($suf_wa_waaf_style == 'flattened' && $bw2_columns == 1)) {
?>
#horizontal-outer-widgets-2 .suf-horizontal-widget {
	width: <?php echo $bw2_width;?>;
	display: inline-block;
	margin: <?php echo $bw2_margin;?>;
}

* html #horizontal-outer-widgets-2 .suf-horizontal-widget {
	ma\rgin: <?php echo $bw2_ie_margin;?>;
}
<?php
    }
    else {
?>
#horizontal-outer-widgets-2 .suf-horizontal-widget {
    display: block;
    float: none;
}
<?php
    }
	if ($suf_header_for_widgets_above_footer == "plain-borderless") {
?>

#horizontal-outer-widgets-2 .dbx-handle {
	border-bottom: none;
}

<?php
	}
	if ($suf_waaf_font_style_setting == "custom") {
?>
#horizontal-outer-widgets-2 {
	color:  #<?php echo $suf_waaf_font_color;?>;
}

#horizontal-outer-widgets-2 a {
	color:  #<?php echo $suf_waaf_link_color;?>;
	text-decoration: <?php echo $suf_waaf_link_style;?>;
}

#horizontal-outer-widgets-2 a:visited {
	color:  #<?php echo $suf_waaf_visited_link_color;?>;
	text-decoration: <?php echo $suf_waaf_visited_link_style;?>;
}

#horizontal-outer-widgets-2 a:hover {
	color:  #<?php echo $suf_waaf_link_hover_color;?>;
	text-decoration: <?php echo $suf_waaf_link_hover_style;?>;
}
<?php
	}
}

if ((is_category() && $suf_featured_category_view == "enabled") || (is_tag() && $suf_featured_tag_view == "enabled") ||
	(is_search() && $suf_featured_search_view == "enabled") || (is_author() && $suf_featured_author_view == "enabled") ||
	(is_page_template('magazine.php') && $suf_mag_featured_enabled == 'enabled') ||
	(is_page() && isset($suf_featured_pages_with_fc) && $suf_featured_pages_with_fc != '') ||
	((is_date() || is_year() || is_month() || is_day() || is_time()) && $suf_featured_time_view == "enabled") ||
	(!(is_category() || is_tag() || is_search() || is_author() || is_date() || is_year() || is_month() || is_day() || is_time() || is_page_template('magazine.php') || is_page()) && $suf_featured_index_view == "enabled")) {

	$featured_height = get_size_from_field($suf_featured_height, "250px");
	$featured_excerpt_width = get_size_from_field($suf_featured_excerpt_width, "250px");
?>
#slider, #sliderContent {
	height: <?php echo $featured_height; ?>; /* important to be same as image height */
}

#featured-posts .left, #featured-posts .right {
	height: <?php echo $featured_height; ?>;
}

.sliderImage {
	height: <?php echo $featured_height; ?>;
}

#featured-posts .left {
	width: <?php echo $featured_excerpt_width; ?> !important;
}

#featured-posts .right {
	width: <?php echo $featured_excerpt_width; ?> !important;
}

.sliderImage div {
	background-color: #<?php echo $suf_featured_excerpt_bg_color;?>;
	color: #<?php echo $suf_featured_excerpt_font_color;?>;
}

.sliderImage div a {
	color: #<?php echo $suf_featured_excerpt_link_color;?>;
}

<?php
	if ($suf_featured_show_border == "show") {
?>
#featured-posts {
	border-width: 1px;
	border-style: solid;
}
<?php
	}
}

if ($suf_emphasis_customization == 'custom') {
?>

.download {
	color: #<?php echo $suf_download_font_color;?>;
	background-color: #<?php echo $suf_download_background_color;?>;
	border-color: #<?php echo $suf_download_border_color;?>;
}

.announcement {
	color: #<?php echo $suf_announcement_font_color;?>;
	background-color: #<?php echo $suf_announcement_background_color;?>;
	border-color: #<?php echo $suf_announcement_border_color;?>;
}

.note {
	color: #<?php echo $suf_note_font_color;?>;
	background-color: #<?php echo $suf_note_background_color;?>;
	border-color: #<?php echo $suf_note_border_color;?>;
}

.warning {
	color: #<?php echo $suf_warning_font_color;?>;
	background-color: #<?php echo $suf_warning_background_color;?>;
	border-color: #<?php echo $suf_warning_border_color;?>;
}

<?php
}
?>
.suf-mag-headlines {
	height: <?php echo get_size_from_field($suf_mag_headlines_height, "250px"); ?>;
}

col.suf-mag-excerpt {
<?php
$mag_excerpt_td_width = floor(100/(int)$suf_mag_excerpts_per_row);
?>
	width: <?php echo $mag_excerpt_td_width; ?>%;
}

.suf-mag-excerpt-image {
<?php
$mag_excerpt_td_img_width = floor($widths['main-col']/(int)$suf_mag_excerpts_per_row) - 20;
?>
	width: <?php echo $mag_excerpt_td_img_width; ?>px;
	height: <?php echo get_size_from_field($suf_mag_excerpts_image_box_height, "100px"); ?>;
}

* html .suf-mag-excerpt-image {
<?php
$mag_excerpt_td_img_width = floor($widths['main-col']/(int)$suf_mag_excerpts_per_row) - 20 - (int)$suf_mag_excerpts_per_row;
?>
	w\idth: <?php echo $mag_excerpt_td_img_width; ?>px;
}

col.suf-mag-category {
<?php
$mag_category_td_width = floor(100/(int)$suf_mag_catblocks_per_row);
?>
	width: <?php echo $mag_category_td_width; ?>%;
}

.suf-mag-category-image {
<?php
$mag_category_td_img_width = floor($widths['main-col']/(int)$suf_mag_catblocks_per_row) - 20;
?>
	width: <?php echo $mag_category_td_img_width; ?>px;
	height: <?php echo get_size_from_field($suf_mag_catblocks_image_box_height, "100px"); ?>;
}

* html .suf-mag-category-image {
<?php
$mag_category_td_img_width = floor($widths['main-col']/(int)$suf_mag_catblocks_per_row) - 20 - (int)$suf_mag_catblocks_per_row;
?>
	w\idth: <?php echo $mag_category_td_img_width; ?>px;
}

h2.suf-mag-category-title {
	text-align: <?php echo $suf_mag_catblocks_title_alignment; ?>;
}

.suf-mag-categories th {
	text-align: <?php echo $suf_mag_catblocks_main_title_alignment; ?>;
}

.suf-mag-excerpts th {
	text-align: <?php echo $suf_mag_excerpts_main_title_alignment; ?>;
}

h2.suf-mag-excerpt-title {
	text-align: <?php echo $suf_mag_excerpt_title_alignment; ?>;
}

h2.suf-mag-headlines-title {
	text-align: <?php echo $suf_mag_headline_main_title_alignment; ?>;
}

.author-info img.avatar {
    float: <?php echo $suf_uprof_post_info_gravatar_alignment;?>;
    padding: 5px;
}

<?php
if ($suf_navt_bar_style == 'full-full') {
?>
#nav-top .col-control,
#top-bar-right-spanel .col-control {
	width: auto;
}
#nav-top {
	border-radius: 0;
	-moz-border-radius: 0;
	-webkit-border-radius: 0;
	-khtml-border-radius: 0;
}
<?php
}
else if ($suf_navt_bar_style == 'full-align') {
?>
#nav-top,
#top-bar-right-spanel {
	width: auto;
}

#nav-top .col-control,
#top-bar-right-spanel .col-control {
	width: <?php echo $widths['wrapper'];?>px;
}
#nav-top {
	border-radius: 0;
	-moz-border-radius: 0;
	-webkit-border-radius: 0;
	-khtml-border-radius: 0;
}
<?php
}
else if ($suf_navt_bar_style == 'align') {
?>
#nav-top,
#top-bar-right-spanel {
	width: <?php echo $widths['wrapper'];?>px;
	margin: 0 auto;
}

#nav-top .col-control,
#top-bar-right-spanel .col-control {
	width: <?php echo $widths['wrapper'];?>px;
}

<?php
}

if ($suf_wah_layout_style == 'full-full') {
?>
#widgets-above-header .col-control {
	width: auto;
}
<?php
}
else if ($suf_wah_layout_style == 'full-align') {
?>
#widgets-above-header {
	width: auto;
}

#widgets-above-header .col-control {
	width: <?php echo $widths['wrapper'];?>px;
}
<?php
}
else if ($suf_wah_layout_style == 'align') {
?>
#widgets-above-header {
	width: <?php echo $widths['wrapper'];?>px;
	margin: 0 auto;
}

#widgets-above-header .col-control {
	width: <?php echo $widths['wrapper'];?>px;
}

<?php
}

$wah_columns = intval($suf_wah_columns);
$wah_width = get_column_width($wah_columns);
$wah_margin = get_margin($wah_columns);
$wah_ie_margin = get_ie6_margin($wah_columns);
?>
#widgets-above-header .suf-widget {
	width: <?php echo $wah_width;?>;
	display: inline-block;
	margin: <?php echo $wah_margin;?>;
}

* html #widgets-above-header .suf-widget {
	ma\rgin: <?php echo $wah_ie_margin;?>;
}

<?php

for ($i=1; $i<=5; $i++) {
	$adhoc_column_option = 'suf_adhoc'.$i.'_columns';
	$adhoc_columns = intval($$adhoc_column_option);
	$adhoc_width = get_column_width($adhoc_columns);
	$adhoc_margin = get_margin($adhoc_columns);
	$adhoc_ie_margin = get_ie6_margin($adhoc_columns);
?>
#ad-hoc-<?php echo $i; ?> .suf-widget {
	width: <?php echo $adhoc_width;?>;
	display: inline-block;
	margin: <?php echo $adhoc_margin;?>;
}

* html #ad-hoc-<?php echo $i; ?> .suf-widget {
	ma\rgin: <?php echo $adhoc_ie_margin;?>;
}
<?php
}

if ($suf_header_layout_style != 'in-align') {
	if ($suf_header_layout_style == 'out-hcfull') {
?>
#header-container .col-control {
	width: auto;
}
<?php
	}
	else if ($suf_header_layout_style == 'out-cfull-halign') {
?>
#header-container {
	width: auto;
}

#header-container .col-control {
	width: <?php echo $widths['wrapper'];?>px;
}
<?php
	}
	else if ($suf_header_layout_style == 'out-hcalign') {
?>
#header-container {
	width: <?php echo $widths['wrapper'];?>px;
	margin: 0 auto;
	padding: 0 10px;
}

#header-container .col-control {
	width: <?php echo $widths['wrapper'];?>px;
}

<?php
	}

	if ($suf_nav_bar_style == 'full-full') {
?>
#nav .col-control {
	width: auto;
	}
<?php
	}
	else if ($suf_nav_bar_style == 'full-align') {
?>
#nav {
	width: auto;
}

#nav .col-control {
	width: <?php echo $widths['wrapper'];?>px;
}
<?php
	}
	else if ($suf_nav_bar_style == 'align') {
?>
#nav {
	width: <?php echo $widths['wrapper'];?>px;
	margin: 0 auto;
}

#nav .col-control {
	width: <?php echo $widths['wrapper'];?>px;
}

<?php
	}
}
else {
?>
#nav {
	width: <?php echo $widths['wrapper'];?>px;
	margin: 0 auto;
<?php
	if ($suffusion_rtl_layout) {
?>
	float: right;
<?php
	}
	else {
?>
	float: left;
<?php
	}
?>
}

#nav .col-control {
	width: <?php echo $widths['wrapper'];?>px;
}

<?php
}

if ($suf_nav_item_type == 'continuous') {
?>
<?php
}
?>

col.suf-tile {
<?php
global $wp_query;
$number_of_cols = count($wp_query->posts) - suffusion_get_full_content_count();
if ($number_of_cols > (int)$suf_tile_excerpts_per_row || $number_of_cols <= 0) {
	$number_of_cols = (int)$suf_tile_excerpts_per_row;
}
//$tile_td_width = floor(100/(int)$suf_tile_excerpts_per_row);
$tile_td_width = floor(100/$number_of_cols);
?>
	width: <?php echo $tile_td_width; ?>%;
}

.suf-tile-image {
<?php
//$tile_td_img_width = floor($widths['main-col']/(int)$suf_tile_excerpts_per_row) - 20;
$tile_td_img_width = floor($widths['main-col']/$number_of_cols) - 20;
?>
	width: <?php echo $tile_td_img_width; ?>px;
	height: <?php echo get_size_from_field($suf_tile_image_box_height, "100px"); ?>;
}

* html .suf-tile-image {
<?php
//$tile_td_img_width = floor($widths['main-col']/(int)$suf_tile_excerpts_per_row) - 20 - (int)$suf_tile_excerpts_per_row;
$tile_td_img_width = floor($widths['main-col']/$number_of_cols) - 20 - $number_of_cols;
?>
	w\idth: <?php echo $tile_td_img_width; ?>px;
}

h2.suf-tile-title {
	text-align: <?php echo $suf_mag_excerpt_title_alignment; ?>;
}

div.booklisting img,
div.bookentry img {
	width: <?php echo get_size_from_field($suf_nr_main_cover_w, "108px"); ?>;
	height: <?php echo get_size_from_field($suf_nr_main_cover_h, "160px"); ?>;
}

div.bookentry .stats {
	width: <?php echo (get_numeric_size_from_field($suf_nr_main_cover_w, 108) + 34); ?>px;
}

div.bookentry .review {
	width: <?php echo ($widths['main-col'] - get_numeric_size_from_field($suf_nr_main_cover_w, 108) - 80); ?>px;
}

* html div.bookentry .review {
	w\idth: <?php echo ($widths['main-col'] - get_numeric_size_from_field($suf_nr_main_cover_w, 108) - 100); ?>px;
}

col.nr-shelf-slot {
<?php
$books_per_row = (int)$suf_nr_books_per_row;
$slot_width = floor(100/$suf_nr_books_per_row);
?>
	width: <?php echo $slot_width; ?>%;
}

